//
//  AppDelegate.swift
//  MeridianSwiftSamples
//
//  Created by Stephen Kelly on 5/17/17.
//  Copyright © 2017 Aruba Networks. All rights reserved.
//

import UIKit

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        // configure the Meridian SDK
        let config = MRConfig()

        // If samples are to be run via US servers, use these values
        config.applicationToken = "090c29d8b4cc628e4bd327abf37f62e4e3477bae"
        config.domainConfig.domainRegion = MRDomainRegion.default

        // If samples are to be run via EU servers, use these values
        // config.applicationToken = "50b4558f8fbfd96e26e122785e61b1589e1a13a5"
        // config.domainConfig.domainRegion = MRDomainRegion.EU;

        // must be called once, in application:didFinishLaunching
        Meridian.configure(config)

        // set our default appearance to be a green color matching our app icon (this has nothing to do with Meridian)
        UINavigationBar.appearance().tintColor = UIColor.white
        UINavigationBar.appearance().barTintColor = UIColor(red: 0.1395, green: 0.8678, blue: 0.7167, alpha: 1.0)
        UINavigationBar.appearance().barStyle = .black
        UITextField.appearance(whenContainedInInstancesOf: [UISearchBar.self]).tintColor = UIView.appearance().tintColor

        // Start posting location updates
        MSFriendManager.setActiveManager(manager: MSFriendManager.manager1)
        return true
    }

    func applicationWillResignActive(_ application: UIApplication) {
        // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
        // Use this method to pause ongoing tasks, disable timers, and invalidate graphics rendering callbacks. Games should use this method to pause the game.
    }

    func applicationDidEnterBackground(_ application: UIApplication) {
        // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
        // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
    }

    func applicationWillEnterForeground(_ application: UIApplication) {
        // Called as part of the transition from the background to the active state; here you can undo many of the changes made on entering the background.
    }

    func applicationDidBecomeActive(_ application: UIApplication) {
        // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
    }

    func applicationWillTerminate(_ application: UIApplication) {
        // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
    }

}
