//
//  MSLoadingViewController.swift
//  MeridianSwiftSamples
//
//  Created by Stephen Kelly on 5/17/17.
//  Copyright © 2017 Aruba Networks. All rights reserved.
//

import UIKit

class MSLoadingViewController: MRMapViewController, MSExampleViewController {
    private var loading = false
    
    convenience init() {
        self.init(nibName:nil, bundle:nil)
        mapView.mapKey = MREditorKey(forMap: MSExampleHost.mapID(), app: MSExampleHost.appID())
    }

    override func viewDidLoad() {
        super.viewDidLoad()

        let button0 = UIBarButtonItem(title: "Loading", style: .plain, target: self, action: #selector(toggle))
        navigationItem.rightBarButtonItems = [button0]
    }

    // MARK: - MSExampleViewController

    static func exampleTitle() -> String {
        return "Loading Indicator Visibility"
    }

    static func exampleDetail() -> String {
        return "Map with a button to toggle the loading indicator."
    }

    // MARK: - Action

    @objc private func toggle() {
        loading = !loading
        mapView.setLoading(loading)
    }
}
